Subject: git diff-tree against the root commit

From: Joshua Jensen <[email-masked]>
Date: Fri, 29 Oct 2010 00:13:55 -0600

I am mirroring a Git repository into another SCM.  I am using 'git 
diff-tree' to tell me what changes I need to make to the other SCM.

Today, I attempted to mirror a new submodule.  'git diff-tree' reported 
two SHAs... 0000000000000000000000000000000000000000 and the revision 
the submodule currently resides at.  I attempted to run a 'git 
diff-tree' within the submodule for the all zero SHA and the revision 
specified, but apparently, 0000000000000000000000000000000000000000 does 
not really represent the root commit and does not work.  I then 
discovered the --root option, but that doesn't seem to give me the 
complete file list either.

'git diff-tree' has been working great for everything else, but I really 
need a root commit diff-tree listing for proper automation.

What are my options?

Thanks!

Josh